Bug 68670 - installation problem
installation problem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-07-12 07:34 EDT by Hans-Peter Bernhard
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-30 09:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda error log (35.34 KB, text/plain)
2002-07-12 07:35 EDT, Hans-Peter Bernhard
no flags Details

  None (edit)
Description Hans-Peter Bernhard 2002-07-12 07:34:08 EDT
Description of Problem:
I cannot install redhat on my notebook hp xe4500
misterious bug: w2k works without any problem.
I can install redhat 7.0 without any problem.
If I install redhat 7.3 it leads to a complete mess, 
sometimes the harddisk could not be identfied. sometimes
it cannot format the desired partitions.
If I have installed a rh 7.0 and I am going to update the
then the installation procedure is not able to find a previous
ibm harddisk 30GB

If I use a different harddisk IBM 4.5 GB.
it works without any problem.

If I plug the harddisk in a different PC it works without 
any problem.

Version-Release number of selected component (if applicable):

How Reproducible:
just install

Steps to Reproduce:
1. just install

Actual Results:

Expected Results:

Additional Information:
Comment 1 Hans-Peter Bernhard 2002-07-12 07:35:48 EDT
Created attachment 65105 [details]
anaconda error log
Comment 2 Michael Fulbright 2002-07-23 12:15:22 EDT
There are alot of IDE errors coming from the /dev/hda device.

I'm not sure if this is a kernel IDE driver bug or an indication the drive is
failing, reassigning.
Comment 3 Hans-Peter Bernhard 2002-07-26 04:48:15 EDT
thanks for the comment, but what can I do about it?
now I kow that the disk is not defekt, I have 30 identical notebooks and tested
several. the same behaviour.
I am not an expert, I am not able to debug IDE driver software.
Comment 4 Arjan van de Ven 2002-07-26 04:53:41 EDT
can you try passing "ide=nodma" to the installer?
eg type "linux ide=nodma" at the very first syslinux screen?
Comment 5 Hans-Peter Bernhard 2002-07-26 05:12:10 EDT
I am sorry to say that it does not help either :-(
Comment 6 Hans-Peter Bernhard 2002-07-30 09:28:38 EDT
The 2.4 kernel (or some parts, I am no expert) has bugs with ide drives!
Therefore, install the system (RH7.3) on a functional disk (ibm travelstar
4.6GB) download the kernel 2.5.29i, compile and install it.
Phuu it works!
Comment 7 Hans-Peter Bernhard 2002-07-30 10:20:14 EDT
Sorry I forgot to mention:

The final working partitions (with the new kernel) have to be moved to the
destination disk. I used ghost.

Note You need to log in before you can comment on or make changes to this bug.